Bug 689327 - (CVE-2011-1171) CVE-2011-1171 kernel: ipv4: netfilter: ip_tables: fix infoleak to userspace
CVE-2011-1171 kernel: ipv4: netfilter: ip_tables: fix infoleak to userspace
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110310,reported=20110321,sou...
: Security
Depends On: 689331 689332 689333 689334 689335
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-21 02:35 EDT by Eugene Teo (Security Response)
Modified: 2015-07-31 02:38 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 10:12:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2011-03-21 02:35:08 EDT
Structures ipt_replace, compat_ipt_replace, and xt_get_revision are copied from userspace.  Fields of these structs that are zero-terminated strings are not checked.  When they are used as argument to a format string containing "%s" in request_module(), some sensitive information is leaked to userspace via argument of spawned modprobe process.

The first and the third bugs were introduced before the git epoch; the second was introduced in 2722971c (v2.6.17-rc1).  To trigger the bug one should have CAP_NET_ADMIN.

http://marc.info/?l=linux-kernel&m=129978077609894&w=2

Acknowledgements:

Red Hat would like to thank Vasiliy Kulikov of Openwall for reporting this issue.

Proposed patch:

http://git.kernel.org/?p=linux/kernel/git/kaber/nf-next-2.6.git;a=commitdiff;h=78b79876761b86653df89c48a7010b5cbd41a84a
Comment 3 Eugene Teo (Security Response) 2011-03-23 02:49:36 EDT
Statement:

Red Hat Enterprise Linux 4 is now in Production 3 of the maintenance
life-cycle, https://access.redhat.com/support/policy/updates/errata/, therefore the fix for this issue is not currently planned to be included in the future updates. Future kernel updates in Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG may address this flaw.
Comment 5 errata-xmlrpc 2011-05-10 13:20:58 EDT
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2011:0500 https://rhn.redhat.com/errata/RHSA-2011-0500.html
Comment 6 errata-xmlrpc 2011-05-19 07:59:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0542 https://rhn.redhat.com/errata/RHSA-2011-0542.html
Comment 7 errata-xmlrpc 2011-05-23 16:44:48 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0542 https://rhn.redhat.com/errata/RHSA-2011-0542.html
Comment 8 errata-xmlrpc 2011-05-31 10:06:46 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0833 https://rhn.redhat.com/errata/RHSA-2011-0833.html
Comment 9 errata-xmlrpc 2011-06-21 19:53:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.0.Z - Server Only

Via RHSA-2011:0883 https://rhn.redhat.com/errata/RHSA-2011-0883.html

Note You need to log in before you can comment on or make changes to this bug.